---
title: Create new saved string queries in bulk
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Brand Protection](https://developers.cloudflare.com/api/python/resources/brand_protection)

[Queries](https://developers.cloudflare.com/api/python/resources/brand_protection/subresources/queries)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Create new saved string queries in bulk

brand\_protection.queries.bulk(QueryBulkParams\*\*kwargs)

POST/accounts/{account\_id}/brand-protection/queries/bulk

Return a success message after creating new saved string queries in bulk

##### Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. [Create a token](https://developers.cloudflare.com/fundamentals/api/get-started/create-token/).

**Example:**`Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY`

##### Accepted Permissions (at least one required)

`Intel Write`

##### ParametersExpand Collapse

account\_id: str

minLength1

[Link to this property](<#(resource)%20brand_protection.queries%20%3E%20(method)%20bulk%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

queries: Optional\[Iterable\[Dict\[str, object]]]

[Link to this property](<#(resource)%20brand_protection.queries%20%3E%20(method)%20bulk%20%3E%20(params)%20default%20%3E%20(param)%20queries%20%3E%20(schema)>)

### Create new saved string queries in bulk

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
client.brand_protection.queries.bulk(
    account_id="x",
)
```

##### Returns Examples